# Uses of Enum Class
org.eclipse.emf.cdo.common.CDOCommonSession.Options.PassiveUpdateMode

Packages that use CDOCommonSession.Options.PassiveUpdateMode
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOCommonSession.Options.PassiveUpdateMode in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOCommonSession.Options.PassiveUpdateMode
Modifier and Type
Method
Description
`CDOCommonSession.Options.PassiveUpdateMode`
CDOCommonSession.Options.PassiveUpdateEvent.`getNewMode()`
`CDOCommonSession.Options.PassiveUpdateMode`
CDOCommonSession.Options.PassiveUpdateEvent.`getOldMode()`
`CDOCommonSession.Options.PassiveUpdateMode`
CDOCommonSession.Options.`getPassiveUpdateMode()`
`static CDOCommonSession.Options.PassiveUpdateMode`
CDOCommonSession.Options.PassiveUpdateMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonSession.Options.PassiveUpdateMode[]`
CDOCommonSession.Options.PassiveUpdateMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.common with parameters of type CDOCommonSession.Options.PassiveUpdateMode
Modifier and Type
Method
Description
`void`
CDOCommonSession.Options.`setPassiveUpdateMode(CDOCommonSession.Options.PassiveUpdateMode mode)`

## Uses of CDOCommonSession.Options.PassiveUpdateMode in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDOCommonSession.Options.PassiveUpdateMode
Modifier and Type
Method
Description
`protected void`
CDOCommonEventAdapter.`onPassiveUpdatesMode(CDOCommonSession.Options.PassiveUpdateMode oldMode, CDOCommonSession.Options.PassiveUpdateMode newMode)`

## Uses of CDOCommonSession.Options.PassiveUpdateMode in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOCommonSession.Options.PassiveUpdateMode
Modifier and Type
Method
Description
`CDOCommonSession.Options.PassiveUpdateMode`
CDOSessionConfiguration.`getPassiveUpdateMode()`
Methods in org.eclipse.emf.cdo.session with parameters of type CDOCommonSession.Options.PassiveUpdateMode
Modifier and Type
Method
Description
`void`
CDOSessionConfiguration.`setPassiveUpdateMode(CDOCommonSession.Options.PassiveUpdateMode passiveUpdateMode)`

## Uses of CDOCommonSession.Options.PassiveUpdateMode in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDOCommonSession.Options.PassiveUpdateMode
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.`setPassiveUpdateMode(CDOCommonSession.Options.PassiveUpdateMode mode)`